# `commitlint-config-karpo`


本包提供了karpo配套的 [commitlint 可共享配置](https://commitlint.js.org/#/concepts-shareable-config)，用于对 git commit message 进行校验。

## 安装

除了本包，你需要同时安装 [@commitlint/cli](https://www.npmjs.com/package/@commitlint/cli):

```bash
#npm
npm install commitlint-config-karpo @commitlint/cli --save-dev

# 或者
yarn add --D commitlint-config-karpo @commitlint/cli
```

## 使用

在你的 `.commitlint.config.js` 中继承本包:

```javascript
module.exports = {
  extends: ['karpo'],
};
```

## 设置 git hook

可通过 [husky](https://www.npmjs.com/package/husky) 设置在 git commit 时触发 commitlint。

husky(V4.x)：

```bash
npm install husky@4.3.5 --save-dev

或者

yarn add -D husky@4.3.5
```

然后在 `package.json` 中增加：

```json
{
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  }
}
```


husky(V4.x以上)：

安装husky


```
npm install husky --save-dev
或者
yarn add -D husky
```

在 package.json 中增加如下配置

```
"scripts": {
 		"prepare": "husky install"
 }
```

添加hooks

```
npx husky add .husky/commit-msg "npx --no-install commitlint --edit '$1'"
git add .husky/commit-msg
```

.husky/commit-msg文件内容如下

```
#!/bin/sh
. "$(dirname "$0")/_/husky.sh"

npx --no-install commitlint --edit "$1"

```


更多信息可参考 [commitlint 文档](https://commitlint.js.org/#/guides-local-setup?id=install-husky)。


## 参考

1. [commitlint rule](https://commitlint.js.org/#/reference-rules)
